/* Sidebar */
.osano-cm-info-dialog__info {
  box-shadow: none !important;
}

.osano-cm-info p {
  color: #697586;
  font-size: 10px;
  line-height: 16px;
  font-weight: 400;
}

.osano-cm-info span[role="heading"] {
  color: #364152;
  font-size: 14px;
  line-height: 22px;
  font-weight: 600;
}

.osano-cm-info-dialog-header p {
  font-family: Inter;
  color: #121926;
  font-size: 20px;
  font-style: normal;
  font-weight: 500;
  line-height: 28px;
}

.osano-cm-info div[role="link"],
.osano-cm-info .osano-cm-powered-by a,
.osano-cm-dialog a {
  color: #247afd;
  text-decoration: none;
}

.osano-cm-header {
  padding-left: 12px;
}

.osano-cm-widget {
  display: none;
}

/* Banner */
.osano-cm-dialog {
  font-family: Inter, sans-serif;
  display: flex;
  padding: 24px 52px 20px 32px;
  flex-direction: column;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 22px;
  background-color: #fff;
  color: #364152;
  border-radius: 8px;
  gap: 20px;
  box-shadow: 0px 4px 16px rgba(16, 20, 39, 0.24);
}

.osano-cm-buttons {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-items: center;
  align-items: center;
  width: 100% !important;
  max-width: 100% !important;
  margin: 0 !important;
}

.osano-cm-button {
  color: white;
  background-color: #2868ee;
  border: none;
  border-radius: 8px;
  font-size: 14px !important;
  font-weight: 500;
  line-height: 20px;
  cursor: pointer;
}

.osano-cm-button:hover {
  background-color: #2868ee;
}

.osano-cm-deny {
  background-color: white;
  color: #202939;
  border: 1px solid #cdd5df;
  box-shadow:
    0px 2px 2px -2px #1219260a,
    0px 2px 8px -2px #12192612;
}

.osano-cm-deny:hover {
  background-color: white;
  color: #202939;
  border: 1px solid #cdd5df;
}

/* Toggle */
.osano-cm-toggle__input:checked:focus + .osano-cm-toggle__switch,
.osano-cm-toggle__input:checked:hover + .osano-cm-toggle__switch,
.osano-cm-toggle__input:checked + .osano-cm-toggle__switch {
  background-color: #247afd;
  border-color: #247afd;
}

.osano-cm-toggle__input:focus + .osano-cm-toggle__switch,
.osano-cm-toggle__input:hover + .osano-cm-toggle__switch {
  background-color: #f2f4f7;
  border-color: #f2f4f7;
}

.osano-cm-toggle__switch {
  background-color: #f2f4f7;
}

.osano-cm-toggle__switch::after {
  filter: drop-shadow(0px 1px 2px rgba(16, 24, 40, 0.06)) drop-shadow(0px 1px 3px rgba(16, 24, 40, 0.1));
}

.osano-cm-switch::before {
  border: none !important;
}

.osano-cm-toggle--disabled .osano-cm-switch {
  background-color: #b5d9fd !important;
  border-color: #b5d9fd !important;
}

.osano-cm-toggle--disabled .osano-cm-switch::after {
  background-color: white !important;
}

/* Close button */
.osano-cm-close {
  width: 40px;
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;
  border-radius: 8px;
  background-color: #f8fafc;
  transition: unset;
  stroke-width: 2px;
  cursor: pointer;
  border-width: 0 !important;
}

.osano-cm-close:focus {
  background-color: #f8fafc !important;
}

.osano-cm-close svg {
  width: 15px;
  height: 15px;
}

.osano-cm-dialog__close {
  stroke: #697586 !important;
  top: 10px;
}

.osano-cm-info-dialog-header__close {
  stroke: #697586 !important;
}

@media (max-width: 768px) {
  .osano-cm-buttons {
    flex-direction: column;
  }

  .osano-cm-buttons .osano-cm-button {
    margin-left: 0;
    margin-right: 0;
    width: 100%;
  }
}
